<template>
  <div
    v-if="user.canCreateUser"
    class="container container-with-menu"
  >
    <h1><users-icon />Gérer les utilisateurs</h1>
    <hr>
    <div class="row">
      <div class="col-md-12">
        <click-button
          @click="$router.push({'path':'/utilisateurs/ajouter'})"
        >
          <template slot="content">
            <add-icon />
            Ajouter un utilisateur
          </template>
        </click-button>
      </div>
    </div>
    <br>
    <child-table />
  </div>
  <div
    v-else
    class="container-with-menu"
  >
    Vous n'avez pas la permission requise pour gérer des utilisateurs.
  </div>
</template>

<script>
import {mapActions, mapGetters} from "vuex"
import UsersIcon from "../../../components/Icon/UsersIcon";
import ClickButton from "../../../components/Button/ClickButton";
import AddIcon from "../../../components/Icon/AddIcon";
import ChildTable from "./ChildTable";

export default {
  name: "ChildManagement",
  components: {ChildTable, AddIcon, ClickButton, UsersIcon},
  computed: {
    ...mapGetters([
      'isLoading',
      'user'
    ])
  },
  created() {
    this.fetchChildren();
  },
  methods: {
    ...mapActions([
      'fetchChildren',
    ]),
  }
}
</script>

<style scoped>

</style>